aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLutz Donnerhacke <donner@FreeBSD.org>2021-05-02 20:47:04 +0000
committerLutz Donnerhacke <donner@FreeBSD.org>2021-05-03 10:27:20 +0000
commit5c4fe2ac81a5e05062266d684fb53b9faefd0d38 (patch)
treec2bdc1d8283b781f5328e514cc94dc8e14788685
parentcff133b05ba1481e535e67b37fda6608fb52f2d0 (diff)
downloadsrc-5c4fe2ac81a5e05062266d684fb53b9faefd0d38.tar.gz
src-5c4fe2ac81a5e05062266d684fb53b9faefd0d38.zip
service/ipfw: Silence warning on restart
Once the ipfw0 interface has been created, ifconfig(8) create will throw a warning: ifconfig: create: bad value' when trying to create it again. PR: 241013 Submitted by: Jose Luis Duran Approved by: kp MFC after: 2 weeks Differential Revision: https://reviews.freebsd.org/D30083
-rwxr-xr-xlibexec/rc/rc.d/ipfw10
1 files changed, 8 insertions, 2 deletions
diff --git a/libexec/rc/rc.d/ipfw b/libexec/rc/rc.d/ipfw
index ece0a93ba6f4..fd1c97671d70 100755
--- a/libexec/rc/rc.d/ipfw
+++ b/libexec/rc/rc.d/ipfw
@@ -74,8 +74,14 @@ ipfw_start()
${SYSCTL} net.inet.ip.fw.verbose=1 >/dev/null
fi
if checkyesno firewall_logif; then
- ifconfig ipfw0 create
- echo 'Firewall logging pseudo-interface (ipfw0) created.'
+ if ! ifconfig ipfw0 >/dev/null 2>&1; then
+ ifconfig ipfw0 create
+ echo 'Firewall logging pseudo-interface (ipfw0)' \
+ 'created.'
+ else
+ echo 'Firewall logging pseudo-interface (ipfw0)' \
+ 'already created.'
+ fi
fi
}